# Pyrite
A naturally occurring iron disulfide mineral. The name comes from the Greek word pyr, “fire,” because pyrite emits sparks when struck by metal. Pyrite is called fool's gold; to the novice its colour is deceptively similar to that of a gold nugget.

## Requirements
Python 3.12+
Python packages: `fastapi uvicorn[standard] httpx jinja2 asyncpg mutagen`

## Install
```
$ psql
postgres=# CREATE DATABASE "pyrite";
postgres=# CREATE USER "pyrite" WITH PASSWORD 'password';
postgres=# GRANT ALL PRIVILEGES ON DATABASE "pyrite" TO "pyrite";
postgres=# \q
```
1. Get on the floor
2. Walk the dinosaur

## Usage
`uvicorn pyrite:app --host localhost --port 5650`
